Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158407 - crash when compiling convoluted generated code
Summary: crash when compiling convoluted generated code
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc
Version: 3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 164809
TreeView+ depends on / blocked
 
Reported: 2005-05-21 23:35 UTC by edwin
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 3.4.4-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-05 08:47:04 UTC


Attachments (Terms of Use)

Description edwin 2005-05-21 23:35:26 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041020 Firefox/0.10.1

Description of problem:
I have a program which generates C code then compiles it. For one such generated C file, gcc crashes whenever it tries to compile it.

Version-Release number of selected component (if applicable):
gcc-3.4.2-6.fc3

How reproducible:
Always

Steps to Reproduce:
1. Compile preprocessed file at http://www.bathysphere.org/cc_crash.out
 
Compiler flags are in the file.

Actual Results:  segmentation fault

Expected Results:  compiles OK, or error message if code is erroneous.

Additional info:

Comment 2 Jakub Jelinek 2005-05-27 15:21:28 UTC
Should be fixed in gcc-3.4.4-1.


Note You need to log in before you can comment on or make changes to this bug.